accounts/urls.py
from django.urls import path
from django.conf.urls import url
from . import views

app_name = 'accounts'

urlpatterns = [
   # path('', views.show_home, name='show_home'),
    path('', views.create_submissionboxes_with_users, name='create_submissionboxes_with_users'),
    path('stablesids/list', views.AccountStableIDsListView.as_view(), name='stablesidst_list'),
    path('all', views.list_accounts, name='list_accounts'),
    path('numbersavailable/list', views.EgaBoxNumbersAvailableListView.as_view(), name='numbersavailable_list'),
    path('history/list', views.BoxHistoryListView.as_view(), name='history_list'),
    path('numbersavailable/modify', views.change_number_available , name='change_number_available'),
    path('detail/<pk>/', views.SubmissionBoxesDetailView.as_view(), name='submissionboxes_detail'),
    path('account/<pk>/', views.SubmissionAccountDetailView.as_view(), name='account_detail'),
    path('detail/account/<pk>/', views.modify_submissionboxes, name='sub_detail'),
    path('create/account/<pk>/', views.create_account, name='create_account'),
    path('find', views.find_account , name='find_account'),
    path('deletesb/<pk>/', views.delete_sb, name='delete_sb'),
   
]

myega_drop_boxes/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('accounts.urls')),
]

accounts/models.py
"""
Models to create the tables in the database.
Contains 8 models:

1. **SubmissionBoxes** - SubmissionBoxes.
2. **User** - User.
3. **SubmissionAccounts** - SubmissionAccounts.
4. **Country** - Country.
5. **AccountStableIDs** - AccountStableIDs.
6. **DownloadBoxes** - DownloadBoxes.
7. **BoxHistory** - BoxHistory.
8. **EgaBoxNumbersAvailable** - EgaBoxNumbersAvailable.
"""

from django.db import models
from django.utils import timezone
from django.core.validators import RegexValidator

# === SubmissionBoxes ===
class SubmissionBoxes(models.Model):

    ega_box_number = models.PositiveIntegerField(primary_key=True, unique=True)
    account_type = models.CharField(
        max_length=30, blank=True, null=True)
    temporary_column = models.CharField(
        max_length=30, blank=True, null=True)
    account_opened_date = models.DateTimeField(
        default=timezone.now)
    password_changed_date = models.DateTimeField(blank=True, null=True)
    rt_ticket = models.CharField(max_length=30, unique=True)
    emails = models.CharField(max_length=300)
    comments = models.TextField(blank=True, null=True)
    received_dta = models.BooleanField(default=False)

    sent_dta = models.BooleanField(default=False)
    days_passed_since_created_date = models.PositiveIntegerField(
        blank=True, null=True)

    class Meta:
        db_table = 'submissionboxes'

    def __str__(self):
        return str(self.ega_box_number)

    def get_users(self):
        return ', '.join(self.users.all().values_list('email', flat=True))


# === User ===
class User(models.Model):
    email = models.EmailField(max_length=100)
    submissionboxes = models.ForeignKey(
        SubmissionBoxes,
        related_name='users', on_delete=models.CASCADE)

    class Meta:
        db_table = 'user'

    def __str__(self):
        return self.email


# === SubmissionAccounts ===
class SubmissionAccounts(models.Model):

    ega_box_number = models.PositiveIntegerField(
        unique=True,  primary_key=True)
    account_accession = models.CharField(max_length=50, unique=True)
    emails = models.CharField(max_length=300)
    submission_type = models.CharField(max_length=60, blank=True, null=True)
    country = models.CharField(max_length=100)
    region = models.CharField(max_length=100)
    institute_name = models.CharField(max_length=100)
    mapi = models.CharField(max_length=10, blank=True, null=True)
    affiliation_project = models.CharField(
        max_length=50, blank=True, null=True)
    center_name = models.CharField(max_length=80)
    password = models.CharField(max_length=80)
    comments = models.TextField(blank=True, null=True)
    submission_box = models.ForeignKey(
        SubmissionBoxes, on_delete=models.CASCADE)
    account_opened_date = models.DateTimeField(default=timezone.now)

    def __str__(self):
        return '%s %s %s' % (self.ega_box_number, self.account_accession, self.emails)

    def get_counthry(self):
        self.country = ', '.join(
            self.counthry.all().values_list('name', flat=True))
        return self.country

# === Country ===
class Country(models.Model):
    name = models.CharField(max_length=600)
    submissionAccounts_country = models.ForeignKey(
        SubmissionAccounts,
        related_name='counthry', on_delete=models.CASCADE)

    class Meta:
        db_table = 'country'

    def __str__(self):
        return self.name


# === AccountStableIDs ===
class AccountStableIDs(models.Model):
    ega_box_text = models.CharField(
        primary_key=True, max_length=100, unique=True)
    submission_boxes = models.OneToOneField(
        SubmissionBoxes,
        on_delete=models.CASCADE
    )

    submission_account = models.OneToOneField(
        SubmissionAccounts,
        on_delete=models.CASCADE,
        blank=True, null=True
    )

    account_accession = models.CharField(max_length=50, unique=True)

    def __str__(self):
        return '%s %s' % (self.ega_box_text, self.account_accession)


# === DownloadBoxes ===
class DownloadBoxes(models.Model):

    box = models.PositiveIntegerField(primary_key=True)
    account_type = models.CharField(max_length=20)
    re_distribution = models.BooleanField(default=False)
    tempory_col = models.CharField(max_length=60)

    user = models.EmailField(max_length=70)
    account_opened_date = models.DateTimeField()

    password_changed_date = models.DateTimeField()
    expired = models.BooleanField(default=False)
    comments = models.TextField()

    def __str__(self):
        return '%s %s' % (self.box, self.user)

# === BoxHistory ===
class BoxHistory(models.Model):

    ega_name = models.CharField(max_length=100)
    user = models.EmailField(max_length=70)
    account_opened_date = models.DateTimeField()
    password_changed_date = models.DateTimeField(blank=True, null=True)
    comments = models.TextField()  
    created_date = models.DateTimeField(default=timezone.now)

    def __str__(self):
        return '%s %s' % (self.ega_name, self.user)


# === EgaBoxNumbersAvailable ===
class EgaBoxNumbersAvailable(models.Model):
    id = models.AutoField(primary_key=True)
    ega_numbers_disponibles = models.CharField(
        max_length=1000, blank=True, null=True)
    ega_maxim = models.PositiveIntegerField(blank=True, null=True)
    quantity = models.IntegerField(blank=True, null=True)

accounts/views.py
"""
Views where functions and templates are called.
Currently we support the following 11 functions:

1.  **SubmissionAccountDetailView** - Exists account 
2.  **SubmissionBoxesDetailView** - Request successful when create a pre-assign account
3.  **AccountStableIDsListView** - List AccountStableIDs
4.  **BoxHistoryListView** - List All History
5.  **list_accounts** - List All
6.  **EgaBoxNumbersAvailableListView** - List All Ega numbers available
7.  **change_number_available** - Modify Ega numbers available
8.  **delete_sb** - delete account
9. **create_submissionboxes_with_users** - Pre-assign account
10. **find_account** - Assign account
11. **create_account** - Create account
12. **modify_submissionboxes** - Modify Pre-assign account
"""

from django.shortcuts import render, redirect, reverse, get_list_or_404, get_object_or_404
from django.http import HttpResponse
from django.template import loader
from django.views import generic
from django.utils import timezone
from django.views.generic.detail import DetailView
from django.views.generic import TemplateView
from .forms import (
    SubmissionBoxesModelForm,
    UserFormset,
    FindSubmissionAccountForm,
    ModifySubBoxesModelForm,
    SubmissionAccountsModelForm,
    CountryFormset,
    EgaBoxNumbersAvailableModelForm
)
from .models import (
    SubmissionBoxes,
    User,
    SubmissionAccounts,
    Country,
    EgaBoxNumbersAvailable,
    AccountStableIDs,
    BoxHistory)
from django.core import serializers
import json


# === SubmissionAccountDetailView ===
class SubmissionAccountDetailView(DetailView):
    model = SubmissionAccounts
    template_name = 'accounts/account_detail.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['heading'] = 'Exists :=)'
        return context

# === SubmissionBoxesDetailView ===
class SubmissionBoxesDetailView(DetailView):
    model = SubmissionBoxes
    template_name = 'accounts/submission_boxes_detail.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['now'] = timezone.now()
        context['heading'] = 'Request successful'
        return context


# === AccountStableIDsListView ===
class AccountStableIDsListView(generic.ListView):
    model = AccountStableIDs
    context_object_name = 'accountStableIDs'
    template_name = 'accounts/accountStableIDs_list.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['heading'] = 'List AccountStableIDs'
        return context

# === BoxHistoryListView ===
class BoxHistoryListView(generic.ListView):
    model = BoxHistory
    context_object_name = 'boxhistory'
    template_name = 'accounts/boxhistory_list.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['heading'] = 'List All History'
        return context

# === list_accounts ===
def list_accounts(request):
    submissionboxes = SubmissionBoxes.objects.all()
    accounts = SubmissionAccounts.objects.all()
    template_name = 'accounts/list.html'
    heading = 'List All'
    return render(request, template_name, {
        'submissionboxes': submissionboxes,
        'accounts': accounts,
        'heading': heading
    })

# === EgaBoxNumbersAvailableListView ===
class EgaBoxNumbersAvailableListView(generic.ListView):
    model = EgaBoxNumbersAvailable
    context_object_name = 'numbers'
    template_name = 'accounts/ega_numbers_available_list.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['heading'] = 'List All Ega numbers available'
        return context

        
# === change_number_available ===
def change_number_available(request):
    template_name = 'accounts/ega_number_available_change.html'
    heading = 'Modify Ega numbers available'
    em = ''
    end = ''
    eq = ''
    objects = EgaBoxNumbersAvailable.objects.all().count()
    if objects > 0:
        p = EgaBoxNumbersAvailable.objects.all().last()
        em = p.ega_maxim
        end = p.ega_numbers_disponibles
        eq = p.quantity

    if request.method == 'GET':
        form = EgaBoxNumbersAvailableModelForm(request.GET or None)
    elif request.method == 'POST':
        form = EgaBoxNumbersAvailableModelForm(request.POST)
        if form.is_valid():
            ega_maxim = form.cleaned_data['ega_maxim']
            #

            ega_numbers_uso = list(SubmissionBoxes.objects.all(
            ).values_list('ega_box_number', flat=True))
            ega_numbers_disponibles = []

            for i in range(1, int(ega_maxim)):
                if i not in ega_numbers_uso:
                    ega_numbers_disponibles.append(i)
            pstr = ";".join([str(num) for num in ega_numbers_disponibles])
            list_int = [int(num) for num in pstr.split(";")]
            quan = len(list_int)

            #

            post = form.save()
            post.ega_numbers_disponibles = pstr
            post.quantity = quan
            post.save()
            return redirect('accounts:numbersavailable_list')
    return render(request, template_name, {
        'form': form,
        'em': em,
        'end': end,
        'eq': eq,
        'heading': heading
    })


# === delete_sb ===
def delete_sb(request, pk):

    if request.method == 'POST':
        sb = SubmissionBoxes.objects.get(pk=pk)
        BoxHistory.objects.create(ega_name=sb.ega_box_number, user=sb.emails,
                                  account_opened_date=sb.account_opened_date, comments=sb.comments)

        sb.delete()

    return redirect('accounts:list_accounts')

# === create_submissionboxes_with_users ===
def create_submissionboxes_with_users(request):
    template_name = 'accounts/submission_boxes_new.html'
    heading = 'Pre-assign account'
    # get maxim of Numbers Available
    numbers_maxims = list(EgaBoxNumbersAvailable.objects.all(
    ).values_list('ega_maxim', flat=True))
    pstr = ''
    if len(numbers_maxims) > 0:
        maxi_num = max(numbers_maxims)
        #
        ega_numbers_uso = list(SubmissionBoxes.objects.all(
        ).values_list('ega_box_number', flat=True))
        ega_numbers_disponibles = []

        for i in range(1, int(maxi_num)):
            if i not in ega_numbers_uso:
                ega_numbers_disponibles.append(i)
        pstr = ";".join([str(num) for num in ega_numbers_disponibles])
        list_int = [int(num) for num in pstr.split(";")]
        quan = len(list_int)
        #
    if request.method == 'GET':
        submissionboxesform = SubmissionBoxesModelForm(request.GET or None)
        formset = UserFormset(queryset=User.objects.none())
    # POST
    elif request.method == 'POST':
        submissionboxesform = SubmissionBoxesModelForm(request.POST)
        # formset
        num_formset = int(''.join(request.POST['form-TOTAL_FORMS']))
        list_emails = []
        for i in range(0, num_formset):
            list_emails.append(request.POST['form-'+str(i)+'-email'])
        string_emails = ', '.join(list_emails)
        #
        formset = UserFormset(request.POST)
        if submissionboxesform.is_valid() and formset.is_valid():
            submissionboxes = submissionboxesform.save(commit=False)
            submissionboxes.emails = string_emails
            submissionboxes.save()
            ega_box_number = submissionboxesform.cleaned_data['ega_box_number']
            # LIST EGA BOX NUMBERS AVAILABLE
            if len(numbers_maxims) > 0:
                ega_numbers_uso = list(SubmissionBoxes.objects.all(
                ).values_list('ega_box_number', flat=True))
                ega_numbers_disponibles = []

                for i in range(1, int(maxi_num)):
                    if i not in ega_numbers_uso:
                        ega_numbers_disponibles.append(i)
                pstr = ";".join([str(num) for num in ega_numbers_disponibles])
                list_int = [int(num) for num in pstr.split(";")]
                quan = len(list_int)
                ega_a = EgaBoxNumbersAvailable.objects.create(
                    ega_numbers_disponibles=pstr, ega_maxim=int(maxi_num), quantity=quan)
                #
            for form in formset:
                user = form.save(commit=False)
                user.submissionboxes = submissionboxes
                user.save()
            return redirect('accounts:submissionboxes_detail', ega_box_number)

    return render(request, template_name, {
        'submissionboxesform': submissionboxesform,
        'formset': formset,
        'pstr': pstr,
        'heading': heading
    })

# === find_account ===
def find_account(request):
    form = FindSubmissionAccountForm()
    heading = 'Assign account'
    mes_exists = ""
    if request.method == "POST":
        form = FindSubmissionAccountForm(request.POST)
        if form.is_valid():
            print("moamaoamao")
            ega_box_number = request.POST['ega_box']
            # exists submission boxes
            exists_sb = SubmissionBoxes.objects.filter(
                ega_box_number=ega_box_number).count()
            if exists_sb == 1:
                return redirect('accounts:sub_detail', pk=ega_box_number)
            else:
                mes_exists = "This ega box number does not exist. Not pre-assigned."
    return render(request, 'accounts/account_find.html', {
        'form': form,
        'mes_exists': mes_exists,
        'heading': heading
    })


# === create_account ===
def create_account(request, pk):
    post = get_object_or_404(SubmissionBoxes, pk=pk)
    template_name = 'accounts/account_create.html'
    heading = 'Create account'
    #
    gebt = "ega-box-"+str(pk)
    get_accession = AccountStableIDs.objects.get(ega_box_text=gebt)
    account_accession = get_accession.account_accession
    #
    if request.method == 'GET':
        form = SubmissionAccountsModelForm(instance=post)

accounts/templates/accounts/account_detail.html
{% extends 'accounts/base.html' %}

{% block content %}

<div class="container" id="containerSBN">

    <div class="card ">

        <div class="card-header">
            <ul class="nav nav-tabs card-header-tabs">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'accounts:find_account' %}">
                        Find</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#">Modify</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#">Create</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active" href="#">Exists</a>
                </li>
            </ul>
        </div>
        <div class="card-body">
            <h5 class="card-title text-center">
                <div class="">
                   
                </div>
            </h5>
            <div class="row" style="display: contents;">
                <p> This account already exists.</p>


                <h4>ega-box-{{ object.ega_box_number }}</h4>
                <p> Account Accession : <strong>{{ object.account_accession }} </strong>  </p>
                <p>Users: <strong> {{ object.emails }}</strong> </p>
                <p>Country: <strong> {{ object.country}}</strong> </p>
                <p>region: <strong>{{ object.region }} </strong> </p>

                

            </div>
        </div>
    </div>
</div>

{% endblock%}

accounts/templates/accounts/account_find.html
{% extends 'accounts/base.html' %}


{% block content %}
<div class="container" id="containerSBN">

  <div class="card text-center">
    <div class="card-header">
      <ul class="nav nav-tabs card-header-tabs">
        <li class="nav-item">
          <a class="nav-link active" href="#">
            Find</a>
        </li>
        <li class="nav-item">
          <a class="nav-link disabled" href="#">Modify</a>
        </li>
        <li class="nav-item">
          <a class="nav-link disabled" href="#">Create</a>
        </li>
        <li class="nav-item">
          <a class="nav-link disabled" href="#">Exists</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      <h5 class="card-title">
        <div class="">
          {% if heading %}
          <h3>{{heading}}</h3>
          {% endif %}
        </div>
      </h5>
      <div class="row" style="display: contents;">

        <form class="form-horizontal" method="POST" style="text-align: left;">
          {% csrf_token %}

          <div class="form-group">
            <label>Ega-Box-Number <span id="startrequired">*</span></label>
            <br>
            {{ form.ega_box }}
            <span class="errormessage">{{ form.ega_box.errors }}</span>

          </div>

          <div class="form-group">
            <div class="">
              <span id="startrequired">*</span>required
              <button type="submit" value="Search" class="btn btn-block btn-primary">Search</button>
            </div>
          </div>


        </form>


        <div id="datosmessage">
          <span class="errormessage"> {{ mes_exists }}</span>
        </div>

      </div>
    </div>
  </div>


 
</div>

{% endblock%}

accounts/templates/accounts/base.html
{% load static %}
<!DOCTYPE html>
<html>

<head>
  <title> Submission Account</title>
  <!-- Required meta tags -->
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <!-- Bootstrap 4.1 -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css"
    integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">

  <!-- CDN/CSS  -->
  <link rel="stylesheet" type="text/css"
    href="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.18/af-2.3.2/b-1.5.4/b-colvis-1.5.4/b-flash-1.5.4/b-html5-1.5.4/b-print-1.5.4/cr-1.5.0/fc-3.2.5/fh-3.1.4/kt-2.5.0/r-2.2.2/rg-1.1.0/rr-1.2.4/sc-1.5.0/sl-1.2.6/datatables.min.css" />

  <!-- FontAwesome 5.4.1 SVG with JS -->
  <script defer src="https://use.fontawesome.com/releases/v5.4.1/js/all.js"
    integrity="sha384-L469/ELG4Bg9sDQbl0hvjMq8pOcqFgkSpwhwnslzvVVGpDjYJ6wJJyYjvG3u8XW7"
    crossorigin="anonymous"></script>
  <link
    href="http://fonts.googleapis.com/css?family=Source+Sans+Pro:200,300,400,600,700,900|Quicksand:400,700|Questrial"
    rel="stylesheet" />

  <link rel="stylesheet" href="{% static 'css/default.css' %}">
  <link rel="stylesheet" href="{% static 'css/fonts.css' %}">
  <link rel="stylesheet" href="{% static 'css/mystyle.css' %}">


</head>

<body>
  <div id="header-wrapper">
    <div id="header" class="container">
      <div id="logo">
        <h1>
            {% if heading %}
            {{heading}}
            {% endif %}

          </h1>
      </div>

    </div>
  </div>

  <nav class="navbar navbar-expand-lg navbar-dark bg-dark">

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown"
      aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavDropdown">
      <ul class="navbar-nav" id="navul" style="padding: 0em 25em;text-align: center;">
        <li class="nav-item lini">
          <a class="nav-link" href="{% url 'accounts:create_submissionboxes_with_users' %}"
            title="Pre-assign account">Pre-assign account<span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item lini">
          <a class="nav-link" href="{% url 'accounts:find_account' %}" title="Assign account">Assign account</a>
        </li>
        <li class="nav-item lini">
          <a class="nav-link" href="{% url 'accounts:list_accounts' %}" title="List all">List all</a>
        </li>
        <li class="nav-item dropdown lini">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            More
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item lini" href="{% url 'accounts:change_number_available' %}"
              title=" Modify ega box numbers availables">Modify ega box numbers availables</a>
            <a class="dropdown-item lini" href="{% url 'accounts:numbersavailable_list' %}"
              title="List ega box numbers availables">List ega box numbers
              availables</a>
            <a class="dropdown-item lini" href="{% url 'accounts:stablesidst_list' %}"
              title="List AccountStableIDs">List AccountStableIDs</a>
            <a class="dropdown-item lini" href="{% url 'accounts:history_list' %}" title="List History">List
              History</a>
          </div>
        </li>
      </ul>
    </div>
  </nav>


  <div class="wrapper">
    {% block content %}
    {% endblock %}
  </div>
  <div id="footer">
    <div class="container">

      <div class="fbox1" >
        <span class="icon ">
          <i class="fa fa-user-secret" aria-hidden="true"></i>
        </span>
        <span>
          <a href="#"
            target="_blanck">Privacy
            Policy</a>
        </span>
      </div>
      <div class="fbox1">
        <span class="icon ">
          <i class="fa fa-info-circle" aria-hidden="true"></i>

        </span>
        <span>
          <a href="#" target="_blanck">estefani_web.org</a>
        </span>
      </div>
    </div>
  </div>

  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
    integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"
    integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T"
    crossorigin="anonymous"></script>
  <script>
    $(window).resize(function () {
      if ($(window).width() < 990) {
        $("#navul").css("padding", "0em 0em");
      } else {
        $("#navul").css("padding", "0em 25em");
      }
    });
  </script>
  {% block custom_js %}{% endblock %}
</body>

</html>

accounts/templates/accounts/subBoxacount_detail.html
{% extends 'accounts/base.html' %}
{% block content %}

<div class="container" id="containerSBN">
    <div class="card ">
        <div class="card-header">
            <ul class="nav nav-tabs card-header-tabs">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'accounts:find_account' %}">
                        Find</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active" href="#">Modify</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#">Create</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#">Exists</a>
                </li>
            </ul>
        </div>
        <div class="card-body">
            <h5 class="card-title text-center">
                <div class="">
                    {% if heading %}
                    <h3>{{heading}}</h3>
                    {% endif %}
                </div>
            </h5>

            <div class="row" style="display: contents;">
               
                <form method="POST">
                    {% csrf_token %}

                    <div class="fieldWrapper">
                        {{ form.ega_box_number.label_tag }}
                        <br>
                        {{ form.ega_box_number }}
                        {{ form.ega_box_number.errors }}
                    </div>
                    <div class="fieldWrapper">
                        {{ form.rt_ticket.label_tag }}
                        <br>
                        {{ form.rt_ticket }}
                        {{ form.rt_ticket.errors }}
                    </div>
                    <div class="fieldWrapper">
                        {{ form.emails.label_tag }}
                        <br>
                        {{ form.emails }}
                        {{ form.emails.errors }}
                    </div>

                    <div class="fieldWrapper">
                        {{ form.received_dta.label_tag }}
                        <br>
                        {{ form.received_dta }}
                        {{ form.received_dta.errors }}
                    </div>

                    <div class="fieldWrapper">
                        {{ form.comments.label_tag }}
                        <br>
                        {{ form.comments }}
                        {{ form.comments.errors }}
                        <div>
                            <label style="float: right; text-align: right;">
                                Use a <a href="#" id="exampleAsig">example </a> |
                                <a href="#" id="clearAsig">Clear comments</a>
                            </label>
                        </div>
                    </div>
                    <div class="fieldWrapper">
                        <p>{{date}}</p>
                    </div>
                    <br><br>
                    <p>>>> If you change the ID a new account is assigned</p>
                    <p>>>> If the received_dta field is checked, you can create an account </p>
                    <p>>>> If the received_dta field is not checked, you will see the changes in the submission boxes
                        list</p>
                    <input type="submit" value="Continue" class="btn btn-block btn-primary" id="butsubmit">

                </form>
            </div>
        </div>

    </div>

</div>


{% endblock%}
{% block custom_js %}
<script>

    $(document).on('click', '#exampleAsig', function (e) {
        e.preventDefault();
        var content_initial = $("textarea#id_comments").val()
        var content = content_initial + " Account created"
        $("textarea#id_comments").val(content);

        return false;
    });

    $(document).on('click', '#clearAsig', function (e) {
        e.preventDefault();

        $("textarea#id_comments").val('');
        return false;
    });


</script>


{% endblock %}